Package org.codehaus.groovy.vmplugin.v7

# Enum IndyInterface.CALL_TYPES

java.lang.Object
java.lang.Enum<IndyInterface.CALL_TYPES>
org.codehaus.groovy.vmplugin.v7.IndyInterface.CALL_TYPES

All Implemented Interfaces:
  `Serializable`, `Comparable<IndyInterface.CALL_TYPES>`, `Constable`

Enclosing class:
  `IndyInterface`

public static enum IndyInterface.CALL_TYPES extends Enum<IndyInterface.CALL_TYPES>
Enum for easy differentiation between call types

Author:
  Jochen "blackdrag" Theodorou

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CAST`
Cast invocation type
`GET`
Get property invocation type
`INIT`
Constructor invocation type
`METHOD`
Method invocation type
`SET`
Set property invocation type

## Method Summary

Modifier and Type
Method
Description
`String`
`getCallSiteName()`
Returns the name of the call site type
`static IndyInterface.CALL_TYPES`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IndyInterface.CALL_TYPES[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### METHOD

public static final IndyInterface.CALL_TYPES METHOD
Method invocation type

### INIT

public static final IndyInterface.CALL_TYPES INIT
Constructor invocation type

### GET

public static final IndyInterface.CALL_TYPES GET
Get property invocation type

### SET

public static final IndyInterface.CALL_TYPES SET
Set property invocation type

### CAST

public static final IndyInterface.CALL_TYPES CAST
Cast invocation type

## Method Details

### values

public static IndyInterface.CALL_TYPES[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IndyInterface.CALL_TYPES valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCallSiteName

public String getCallSiteName()
Returns the name of the call site type